<kypo-trainee-free-form-question *ngIf="isFfq"
                                 [question]="question"
                                 [index]="index"
                                 [isBacktracked]="isBacktracked"
                                 (contentChanged)="onContentChanged($event)">
</kypo-trainee-free-form-question>
<kypo-trainee-multiple-choice-question *ngIf="isMcq"
                                       [question]="question"
                                       [index]="index"
                                       [isBacktracked]="isBacktracked"
                                       (contentChanged)="onContentChanged($event)">
</kypo-trainee-multiple-choice-question>
<kypo-trainee-extended-matching-items *ngIf="isEmi"
                                      [question]="question"
                                      [index]="index"
                                      [isBacktracked]="isBacktracked"
                                      (contentChanged)="onContentChanged($event)">
</kypo-trainee-extended-matching-items>
